function apna_show_settings(){
    jQuery(".apna_page_automations").hide();
    jQuery(".apna_page_documentation").hide();
    jQuery(".apna_page_settings").show();
}
function apna_show_automations(){
    jQuery(".apna_page_settings").hide();
    jQuery(".apna_page_documentation").hide();
    jQuery(".apna_page_automations").show();
}

function apna_show_documentation(){
    jQuery(".apna_page_settings").hide();
    jQuery(".apna_page_automations").hide();
    jQuery(".apna_page_documentation").show();
}


function apna_automation_maximize(view) {
    jQuery(".apna_single_automation").removeClass("maximized")
    jQuery(view).parent().parent().parent().addClass("maximized")
}
function apna_automation_minimize(view) {
    jQuery(view).parent().parent().parent().removeClass("maximized")
}
function apna_automation_remove(view) {
    jQuery(view).parent().parent().parent().remove()

    var num_of_automations = 0
    jQuery(".apna_automations").find(".apna_single_automation").each(function(i, object) {
        num_of_rules = num_of_rules + 1;
    })
    if(num_of_automations === 0){
        jQuery(".apna_page_automations .apna_loading").hide();
        jQuery(".apna_no_automation_created").show();
    }
}


function apna_automation_adder() {
    jQuery(".apna_single_automation").removeClass("maximized")

    jQuery(".apna_automations").append(
        jQuery("#apna_block_single_automation").children(0).clone().addClass("maximized")
    )

    apna_automation_type_changed();
    jQuery(".apna_no_automation_created").hide();
    jQuery(".apna_page_automations .apna_loading").hide();
}

function apna_automation_type_changed() {

    jQuery(".apna_automations").find(".apna_single_automation").each(function(i, single_automation) {
        var automation_type = jQuery(single_automation).find('.automation_type_select select').eq(0).val();
        if(automation_type === "post_publish"){
            jQuery(single_automation).find(".post_type_select").eq(0).show();
            jQuery(single_automation).find(".order_status_select").eq(0).hide();
        }else if(automation_type === "order_status_changed"){
            jQuery(single_automation).find(".post_type_select").eq(0).hide();
            jQuery(single_automation).find(".order_status_select").eq(0).show();
        }
    })

}




function apna_save_automations(view) {
    jQuery(view).text("Saving...")
    jQuery(view).prop("disabled",true);

    var apna_automations = []
    jQuery(".apna_automations .apna_single_automation").each(function (i, object) {
        var apna_single_automation = {}
        apna_single_automation["automation_name"] = jQuery(object).find(".apna_automation_intro h2").text()
        apna_single_automation["automation_type"] = jQuery(object).find(".automation_type_select select").val()
        apna_single_automation["post_type"] = jQuery(object).find(".post_type_select select").val()
        apna_single_automation["order_status"] = jQuery(object).find(".order_status_select select").val()
        apna_single_automation["notification_title"] = jQuery(object).find(".apna_automation_notification_form input[name='notification_title']").val()
        apna_single_automation["notification_body"] = jQuery(object).find(".apna_automation_notification_form textarea[name='notification_body']").val()
        apna_single_automation["user_identity"] = jQuery(object).find(".apna_automation_notification_form input[name='user_identity']").val()
        apna_single_automation["open_link_url"] = jQuery(object).find(".apna_automation_notification_form input[name='open_link_url']").val()
        apna_single_automation["notification_image"] = jQuery(object).find(".apna_automation_notification_form input[name='notification_image']").val()
        apna_automations.push(apna_single_automation)
    });

    var post_data = {
        'action': 'apna_save_automations',
        'data': JSON.stringify(apna_automations)
    };

    jQuery.ajax({
        url: ajaxurl,
        type: "POST",
        data: post_data,
        success: function (data) {
            var obj = JSON.parse(data);
            if(obj.status === "true"){
                jQuery(view).text("Save Changes")
                jQuery(view).prop("disabled",false);
            }
        }
    })

}




function apna_fetch_automations() {

    jQuery(".apna_automations").empty()
    jQuery(".apna_no_automation_created").hide();
    jQuery(".apna_page_automations .apna_loading").show();

    var post_data = {
        'action': 'apna_get_automations'
    };


    jQuery.ajax({
        url: ajaxurl,
        type: "POST",
        data: post_data,
        success: function (data) {
            var obj = JSON.parse(data);
            if(obj.status === "true"){

                try {
                    var automations = JSON.parse(obj.automations)
                    jQuery.each(automations, function(i, item) {
                        var single_automation = jQuery("#apna_block_single_automation").children(0).clone()
                        jQuery(single_automation).find(".apna_automation_intro h2").text(item.automation_name)
                        jQuery(single_automation).find(".automation_type_select select").val(item.automation_type)
                        jQuery(single_automation).find(".post_type_select select").val(item.post_type)
                        jQuery(single_automation).find(".order_status_select select").val(item.order_status)
                        jQuery(single_automation).find(".wceazy_bogo_deal_top_form input").val(item.discount_amount)
                        jQuery(single_automation).find(".apna_automation_notification_form input[name='notification_title']").val(item.notification_title)
                        jQuery(single_automation).find(".apna_automation_notification_form textarea[name='notification_body']").val(item.notification_body)
                        jQuery(single_automation).find(".apna_automation_notification_form input[name='open_link_url']").val(item.open_link_url)
                        jQuery(single_automation).find(".apna_automation_notification_form input[name='user_identity']").val(item.user_identity)
                        jQuery(single_automation).find(".apna_automation_notification_form input[name='notification_image']").val(item.notification_image)


                        jQuery(".apna_automations").append(single_automation)
                        apna_automation_type_changed()


                    })


                    if(automations.length === 0){
                        jQuery(".apna_no_automation_created").show();
                        jQuery(".apna_page_automations .apna_loading").hide();
                    }else{
                        jQuery(".apna_no_automation_created").hide();
                        jQuery(".apna_page_automations .apna_loading").hide();
                    }
                }
                catch (err) {
                    jQuery(".apna_no_automation_created").show();
                    jQuery(".apna_page_automations .apna_loading").hide();
                }


            }
        }
    })
}


function apna_save_settings(view) {
    jQuery(view).text("Saving...")
    jQuery(view).prop("disabled",true);

    var apna_settings = {}
    apna_settings["app_key"] = jQuery(".apna_settings_form input[name='app_key']").val()
    apna_settings["api_key"] = jQuery(".apna_settings_form input[name='api_key']").val()
    apna_settings["secondary_app_key"] = jQuery(".apna_settings_form input[name='secondary_app_key']").val()
    apna_settings["secondary_api_key"] = jQuery(".apna_settings_form input[name='secondary_api_key']").val()
    apna_settings["record_user_identity"] = jQuery(".apna_settings_form select[name='record_user_identity']").val()


    var post_data = {
        'action': 'apna_save_settings',
        'data': JSON.stringify(apna_settings)
    };

    jQuery.ajax({
        url: ajaxurl,
        type: "POST",
        data: post_data,
        success: function (data) {
            var obj = JSON.parse(data);
            if(obj.status === "true"){
                jQuery(view).text("Save Changes")
                jQuery(view).prop("disabled",false);
            }
        }
    })

}
