<?php
/**
 * Plugin Name:       Appilix - Push Notification Automation
 * Plugin URI:        https://appilix.com
 * Description:       This plugin provides the functionality to automate sending Push Notification.
 * Version:           1.1.6
 * Author:            Appilix
 * Author URI:        https://appilix.com
 * License:           GPL-2.0+
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       apna
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

define('APNA_VERSION', '1.0.0');
defined('APNA_PATH') or define('APNA_PATH', plugin_dir_path(__FILE__));
defined('APNA_URL') or define('APNA_URL', plugin_dir_url(__FILE__));
defined('APNA_BASE_FILE') or define('APNA_BASE_FILE', __FILE__);
defined('APNA_BASE_PATH') or define('APNA_BASE_PATH', plugin_basename(__FILE__));
defined('APNA_IMG_DIR') or define('APNA_IMG_DIR', plugin_dir_url(__FILE__) . 'assets/img/');
defined('APNA_CSS_DIR') or define('APNA_CSS_DIR', plugin_dir_url(__FILE__) . 'assets/css/');
defined('APNA_JS_DIR') or define('APNA_JS_DIR', plugin_dir_url(__FILE__) . 'assets/js/');



require_once APNA_PATH . 'includes/APNASettings.php';
require_once APNA_PATH . 'backend/class-apna-ajax.php';
require_once APNA_PATH . 'backend/class-apna-admin.php';