<?php

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

if (!class_exists('ApnaAdminAjax')) {
    class ApnaAdminAjax
    {

        public $base_admin;

        public function __construct($base_admin)
        {
            $this->base_admin = $base_admin;

            add_action( 'wp_ajax_apna_get_automations', array($this, 'apna_get_automations'));
            add_action( 'wp_ajax_apna_save_automations', array($this, 'apna_save_automations'));
            add_action( 'wp_ajax_apna_save_settings', array($this, 'apna_save_settings'));


        }


        public function apna_get_automations() {
            include_once APNA_PATH . "backend/api/get_automations.php";
            wp_die();
        }
        public function apna_save_automations() {
            include_once APNA_PATH . "backend/api/save_automations.php";
            wp_die();
        }
        public function apna_save_settings() {
            include_once APNA_PATH . "backend/api/save_settings.php";
            wp_die();
        }



    }
}
